Subject: Re: bug#61785: [PATCH] Add option to keep some columns in dired-hide-details-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Mar 2023 14:35:28 +0200

> From: Augusto Stoffel <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Mar 2023 12:26:36 +0100
> 
> On Sat,  4 Mar 2023 at 09:54, Eli Zaretskii wrote:
> 
> >> From: Augusto Stoffel <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sat, 04 Mar 2023 07:07:02 +0100
> >> 
> >> I think I would rather revert the commit until someone comes up with a
> >> better idea, if you don't mind.
> >
> > I'm not sure I see a problem with counting columns.
> >
> > What is the harm of keeping the commit on master?  If we get
> > complaints about it, we have ample time to remove the feature when and
> > if we get those complaints.
> 
> The problem is that the code asssumes the columns are right-aligned,
> which is not true for user and group.  So for instance this listing:
> 
>   drwx------.  43 augusto augusto    69632 Mar  4 12:21 .
>   drwxr-xr-x.   4 root    root        4096 Aug  9  2022 ..
>   drwx------. 171 augusto augusto    12288 Feb 27 11:52 .cache
> 
> will get abridged like this:
> 
>       69632 Mar  4 12:21 .
>           4096 Aug  9  2022 ..
>       12288 Feb 27 11:52 .cache
> 
> But if you don't mind that, we can keep the code and see if someone
> finds a nice way to deal with it.

We could perhaps mention the caveat with right-aligned columns to the
doc string, and expect users to avoid those columns?